
# com.ultracart.admin.v2.Model.OrderItem

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**AccountingCode** | **string** | QuickBooks code | [optional] 
**ActivationCodes** | **List&lt;string&gt;** | Activation codes assigned to this item | [optional] 
**ArbitraryUnitCost** | [**Currency**](Currency.md) |  | [optional] 
**AutoOrderLastRebillDts** | **string** | Date/time of the last rebill, used only during order insert to help project future rebills | [optional] 
**AutoOrderSchedule** | **string** | Auto order schedule, used only during inserts supplying the recurring schedule | [optional] 
**Barcode** | **string** | Barcode | [optional] 
**ChannelPartnerItemId** | **string** | Channel partner item id if this order came through a channel partner and the channel partner item id was mapped to an internal item id | [optional] 
**Cogs** | **decimal** | Cost of goods sold | [optional] 
**ComponentUnitValue** | **decimal** | Value of the kit component item | [optional] 
**Cost** | [**Currency**](Currency.md) |  | [optional] 
**CountryCodeOfOrigin** | **string** | Country of origin (ISO-3166 two letter code) | [optional] 
**CustomsDescription** | **string** | Customs description | [optional] 
**Description** | **string** | Description | [optional] 
**Discount** | [**Currency**](Currency.md) |  | [optional] 
**DiscountQuantity** | **decimal** | Discount quantity | [optional] 
**DiscountShippingWeight** | [**Weight**](Weight.md) |  | [optional] 
**DistributionCenterCode** | **string** | Distribution center code responsible for shipping this item | [optional] 
**Edi** | [**OrderItemEdi**](OrderItemEdi.md) |  | [optional] 
**ExcludeCoupon** | **bool** | True if this item is excluded from coupons | [optional] 
**FreeShipping** | **bool** | True if the item receives free shipping | [optional] 
**Hazmat** | **bool** | Hazardous materials indicator | [optional] 
**Height** | [**Distance**](Distance.md) |  | [optional] 
**ItemIndex** | **int** | Index of the item on the order (one based index) | [optional] 
**ItemReferenceOid** | **int** | Item reference object identifier used to linked to auto order item record | [optional] 
**Kit** | **bool** | True if this item is a kit | [optional] 
**KitComponent** | **bool** | True if this item is a kit component | [optional] 
**Length** | [**Distance**](Distance.md) |  | [optional] 
**ManufacturerSku** | **string** | Manufacturer SKU | [optional] 
**MaxDaysTimeInTransit** | **int** | Maximum days that the item can be in transit before spoilage (perishable products) | [optional] 
**MerchantItemId** | **string** | Item ID | [optional] 
**MixAndMatchGroupName** | **string** | Mix and match group name | [optional] 
**MixAndMatchGroupOid** | **int** | Mix and match group object identifier | [optional] 
**NoShippingDiscount** | **bool** | True if this item is excluded from shipping discounts | [optional] 
**Options** | [**List&lt;OrderItemOption&gt;**](OrderItemOption.md) | Options | [optional] 
**PackedByUser** | **string** | Packed by user | [optional] 
**ParentItemIndex** | **int** | If this item is a kit component, this is the item index of the parent item (kit) | [optional] 
**ParentMerchantItemId** | **string** | If this item is a kit component, this is the item id of the parent item (kit) | [optional] 
**PerishableClass** | **string** | Perishable class of the item | [optional] 
**PricingTierName** | **string** | Pricing tier that granted the particular price for this item if the customer profile had pricing tiers assigned | [optional] 
**Properties** | [**List&lt;OrderItemProperty&gt;**](OrderItemProperty.md) | Properties | [optional] 
**Quantity** | **decimal** | Quantity | [optional] 
**QuantityRefunded** | **decimal** | Quantity refunded on this item (read only except refund operation) | [optional] 
**QuickbooksClass** | **string** | QuickBooks class | [optional] 
**RefundReason** | **string** | Refund reason code.  This can only be written during a refund operation otherwise this field is read only. | [optional] 
**ReturnReason** | **string** | Return reason code.  This can only be written during a refund operation otherwise this field is read only. | [optional] 
**ShipSeparately** | **bool** | True if this item ships in a separate box | [optional] 
**ShippedByUser** | **string** | Shipped by user | [optional] 
**ShippedDts** | **string** | Date/time that this item was marked shipped | [optional] 
**ShippingStatus** | **string** | Shipping status for this item.  This is the replacement for the old order level shipping status. | [optional] 
**SpecialProductType** | **string** | Special product type (USPS Media Mail) | [optional] 
**Tags** | [**List&lt;OrderItemTag&gt;**](OrderItemTag.md) | Tags | [optional] 
**TaxFree** | **bool** | True if the item is tax free | [optional] 
**TaxProductType** | **string** | Type of product for tax purposes (self or UltraCart Managed taxes) | [optional] 
**TaxableCost** | [**Currency**](Currency.md) |  | [optional] 
**TotalCostWithDiscount** | [**Currency**](Currency.md) |  | [optional] 
**TotalRefunded** | [**Currency**](Currency.md) |  | [optional] 
**TransmittedToDistributionCenterDts** | **string** | Date/time that this item was transmitted to the distribution center | [optional] 
**UnitCostWithDiscount** | [**Currency**](Currency.md) |  | [optional] 
**Upsell** | **bool** | True if this item was added to the order as part of an upsell | [optional] 
**Weight** | [**Weight**](Weight.md) |  | [optional] 
**Width** | [**Distance**](Distance.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models)
[[Back to API list]](../README.md#documentation-for-api-endpoints)
[[Back to README]](../README.md)

